[Pkg-sysvinit-commits] r144 - sysvinit/trunk/debian/initscripts/etc/init.d

Thomas Hood jdthood-guest at costa.debian.org
Fri Nov 18 15:11:24 UTC 2005


Author: jdthood-guest
Date: 2005-11-18 15:11:23 +0000 (Fri, 18 Nov 2005)
New Revision: 144

Modified:
   sysvinit/trunk/debian/initscripts/etc/init.d/checkfs.sh
   sysvinit/trunk/debian/initscripts/etc/init.d/checkroot.sh
Log:
Tweak messages

Modified: sysvinit/trunk/debian/initscripts/etc/init.d/checkfs.sh
===================================================================
--- sysvinit/trunk/debian/initscripts/etc/init.d/checkfs.sh	2005-11-18 14:23:20 UTC (rev 143)
+++ sysvinit/trunk/debian/initscripts/etc/init.d/checkfs.sh	2005-11-18 15:11:23 UTC (rev 144)
@@ -50,18 +50,17 @@
     	dumb|network|unknown|"") spinner="" ;;
         esac
         [ `uname -m` = s390 ] && spinner="" # This should go away
-	[ "$VERBOSE" != no ] && log_action_begin_msg "Checking all file systems"
+	[ "$VERBOSE" != no ] && log_action_msg "Will now check all file systems."
 	fsck $spinner -T -R -A $fix $force
-	[ "$VERBOSE" != no ] && log_action_end_msg $?
         if [ $? -gt 1 ]
         then
-          echo
-          log_failure_msg "fsck failed.  Please repair manually."
-          echo
-          log_success_msg "CONTROL-D will exit from this shell and continue system startup."
-          echo
-          # Start a single user shell on the console
-          /sbin/sulogin $CONSOLE
+		log_failure_msg "fsck failed.  Please repair manually."
+        	log_failure_msg ""
+		log_success_msg "CONTROL-D will exit from this shell and continue system startup."
+		# Start a single user shell on the console
+		/sbin/sulogin $CONSOLE
+	else
+		[ "$VERBOSE" != no ] && log_action_msg "Finished checking file systems."
         fi
     fi
     rm -f /fastboot /forcefsck

Modified: sysvinit/trunk/debian/initscripts/etc/init.d/checkroot.sh
===================================================================
--- sysvinit/trunk/debian/initscripts/etc/init.d/checkroot.sh	2005-11-18 14:23:20 UTC (rev 143)
+++ sysvinit/trunk/debian/initscripts/etc/init.d/checkroot.sh	2005-11-18 15:11:23 UTC (rev 144)
@@ -133,9 +133,16 @@
 	esac
 	if [ "$doswap" = yes ]
 	then
-		[ "$VERBOSE" != no ] && log_action_begin_msg "Activating swap"
-		swapon -a 2> /dev/null
-		[ "$VERBOSE" != no ] && log_action_end_msg $?
+		if [ "$VERBOSE" != no ]
+		then
+			log_action_begin_msg "Activating swap"
+			SWAPON_MESSAGES="$(swapon -a 2>/dev/null)"
+			ES=$?
+			[ "$SWAPON_MESSAGES" ] && log_action_cont_msg "(${SWAPON_MESSAGES})"
+			log_action_end_msg $ES
+		else
+			swapon -a 2>/dev/null
+		fi
 	fi
 
 	#
@@ -251,9 +258,9 @@
 		then
 			spinner=""
 		fi
-		log_action_begin_msg "Checking root file system"
+		log_action_msg "Will now check root file system"
 		fsck $spinner $force $fix -T -t $roottype $rootdev
-		log_action_end_msg $?
+		log_action_msg "Finished checking root file system"
 		FSCKCODE=$?
 	fi
 




More information about the Pkg-sysvinit-commits mailing list